Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## lp.unit
Enum TransEvolpRuleType

    java.lang.Object
      java.lang.Enum<TransEvolpRuleType>
          lp.unit.TransEvolpRuleType

All Implemented Interfaces:
  Serializable, Comparable<TransEvolpRuleType>

    public enum TransEvolpRuleType

extends Enum<TransEvolpRuleType>

Enumeration of types of rules in a normal logic program equivalent to an evolving logic program.

Version:
  1.0.0
Author:
  Martin Slota
See Also:
  `TransformedEvolp`, `EvolpProgram`

Enum Constant Summary
`ASSERTABLE_RULE` Rule that can be asserted.
`CONSTRAINT` A constraint that discards superfluous models of the transformed program.
`DEFAULT_RULE` A rule with a default assumption.
`INTRO_REJECTION` Rule that, based on a rule of the original program, prevents other rules with an opposite head from being fired (rejects them).
`PROPAGATION_REJECTION` Rule that propagates the rejection to even less preferred rules.
`REWRITTEN_EVENT_RULE` Rewritten rule from one of the events.
`REWRITTEN_PROGRAM_RULE` Rewritten rule from the base evolving logic program.

Field Summary
`private String` | `label` A label for the rule type.

Method Summary
`String` | `toString()` Returns a short description of the rule type.
`static TransEvolpRuleType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TransEvolpRuleType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### REWRITTEN_PROGRAM_RULE

    public static final TransEvolpRuleType REWRITTEN_PROGRAM_RULE

  Rewritten rule from the base evolving logic program.

### REWRITTEN_EVENT_RULE

    public static final TransEvolpRuleType REWRITTEN_EVENT_RULE

  Rewritten rule from one of the events.

### ASSERTABLE_RULE

    public static final TransEvolpRuleType ASSERTABLE_RULE

  Rule that can be asserted.

### INTRO_REJECTION

    public static final TransEvolpRuleType INTRO_REJECTION

  Rule that, based on a rule of the original program, prevents other rules with an opposite head from being fired (rejects them).

### PROPAGATION_REJECTION

    public static final TransEvolpRuleType PROPAGATION_REJECTION

  Rule that propagates the rejection to even less preferred rules.

### DEFAULT_RULE

    public static final TransEvolpRuleType DEFAULT_RULE

  A rule with a default assumption.

### CONSTRAINT

    public static final TransEvolpRuleType CONSTRAINT

  A constraint that discards superfluous models of the transformed program.

Field Detail

### label

    private final String label

  A label for the rule type.

Method Detail

### values

    public static final TransEvolpRuleType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(TransEvolpRuleType c : TransEvolpRuleType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static TransEvolpRuleType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### toString

    public String toString()

  Returns a short description of the rule type.

  Overrides:
    `toString` in class `Enum<TransEvolpRuleType>`
  Returns:
    as specified above

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD